.article-item:not(:last-child) {
  border-bottom: 1px solid rgba(142, 151, 168, 0.15);
}

.article-item--home:not(:last-child) {
  margin-bottom: 3rem;
  padding-bottom: 2.5rem;
}

.article-item__link {
  display: block;
  text-decoration: none;
}

.article-item__link:hover .article-item__title {
  color: var(--armada-light-color);
}

.article-item__content {
  display: flex;
  flex-direction: column;
}

.article-item__title {
  color: var(--text-white);
  font:
    800 1.5rem/2rem "Red Hat Display",
    sans-serif;
  margin-bottom: 16px;
  transition: color 0.3s ease;
}

.article-item__title:hover {
  color: var(--armada-light-color);
}

.article-item__meta {
  align-items: center;
  column-gap: 12px;
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 8px;
  row-gap: 0.25rem;
}

.article-item__separator {
  background-color: var(--text-light);
  border-radius: 10px;
  display: block;
  height: 5px;
  width: 5px;
}

.article-item__author,
.article-item__date {
  color: var(--text-light);
  font:
    400 0.875rem/1.25rem "Inter",
    sans-serif;
}

.article-item__excerpt {
  -webkit-box-orient: vertical;
  box-orient: vertical;
  color: var(--text-light);
  display: -webkit-box;
  font:
    400 1rem/1.5rem "Inter",
    sans-serif;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  margin-bottom: 0;
  overflow: hidden;
  text-overflow: ellipsis;
}

.article-item__image {
  border-radius: 10px;
  height: auto;
  margin-bottom: 16px;
  object-fit: cover;
  width: 100%;
}

@media (min-width: 768px) {
  .article-item__excerpt {
    line-clamp: 3;
    -webkit-line-clamp: 3;
  }
}

@media (min-width: 1024px) {
  .article-item__title {
    font-size: 1.875rem;
    line-height: 2.25rem;
  }
}
